
SET client_encoding = 'SQL_ASCII';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- cc_event_log
--

ALTER TABLE cc_event_log ADD COLUMN confirm_user varchar(64);
UPDATE cc_event_log SET confirm_user = '';


--
-- cc_job_session
--

ALTER TABLE cc_job_session ADD COLUMN trigger_type smallint;
ALTER TABLE cc_job_session ADD COLUMN trigger_info varchar(256);
UPDATE cc_job_session SET trigger_type = 0;
UPDATE cc_job_session SET trigger_info = ' ';
ALTER TABLE cc_job_session ALTER COLUMN trigger_type SET NOT NULL;
ALTER TABLE cc_job_session ALTER COLUMN trigger_info SET NOT NULL;


--
-- cc_mail_template_info
--

CREATE TABLE cc_mail_template_info (
    mail_template_id character varying(64) NOT NULL,
    description character varying(256),
    subject character varying(256),
    body text,
    reg_date timestamp without time zone,
    update_date timestamp without time zone,
    reg_user character varying(64),
    update_user character varying(64)
);

ALTER TABLE public.cc_mail_template_info OWNER TO hinemos;


--
-- cc_monitor_port_info
--

CREATE TABLE cc_monitor_port_info(
    monitor_type_id character varying(64) NOT NULL,
    monitor_id character varying(64) NOT NULL,
    port_number integer,
    run_count smallint,
    run_interval smallint,
    timeout smallint,
    service_id character varying(64)
);


ALTER TABLE public.cc_monitor_port_info OWNER TO hinemos;


--
-- cc_monitor_protocol_mst
--

CREATE TABLE cc_monitor_protocol_mst(
    service_id character varying(64) NOT NULL,
    service_name character varying(64) NOT NULL,
    description character varying(256),
    default_port_number integer,
    class_name character varying(256)
);


ALTER TABLE public.cc_monitor_protocol_mst OWNER TO hinemos;


--
-- cc_notify_info
--

ALTER TABLE cc_notify_info ADD COLUMN mail_template_id varchar(64);


--
-- cc_system_notify_info
--

ALTER TABLE cc_system_notify_info ADD COLUMN mail_template_id varchar(64);


--
-- cc_crun_param_mst, cc_crun_param_select_mst, cc_crun_cmd_param_mst
--

DELETE FROM cc_crun_cmd_param_mst WHERE command_id = 'AGENT_INSTALL';
DELETE FROM cc_crun_param_select_mst WHERE param_id = 'ARCHITECTURE';
DELETE FROM cc_crun_param_mst WHERE param_id = 'ARCHITECTURE';
INSERT INTO cc_crun_param_mst VALUES('MANAGER_ADDRESS', 'manager.hinemos.address', '0');
INSERT INTO cc_crun_cmd_param_mst VALUES('AGENT_INSTALL', 'MANAGER_ADDRESS', 1, '-m');
INSERT INTO cc_crun_cmd_param_mst VALUES('AGENT_INSTALL', 'MANAGER_IP', 2, '-i');
INSERT INTO cc_crun_cmd_param_mst VALUES('AGENT_INSTALL', 'MANAGER_ROOT_PASSWORD', 3, '-p');
INSERT INTO cc_crun_cmd_param_mst VALUES('AGENT_INSTALL', 'AGENT_PATH', 4, '-a');
INSERT INTO cc_crun_cmd_param_mst VALUES('AGENT_INSTALL', 'AGENT_PLACE', 5, '-w');
INSERT INTO cc_crun_cmd_param_mst VALUES('AGENT_INSTALL', 'JRE_LICENSE', 6, '-j');


--
-- cc_monitor_protocol_mst
--

INSERT INTO cc_monitor_protocol_mst VALUES('001' , 'TCP', 'TCP connection establishment(3-way handshake)', NULL, 'com.clustercontrol.port.util.ReachAddressTCP');


--
-- p_key_cc_mail_template_info
--

ALTER TABLE ONLY cc_mail_template_info
    ADD CONSTRAINT p_key_cc_mail_template_info PRIMARY KEY (mail_template_id);


--
-- p_key_cc_monitor_port_info
--

ALTER TABLE ONLY cc_monitor_port_info
    ADD CONSTRAINT p_key_cc_monitor_port_info PRIMARY KEY (monitor_type_id, monitor_id);


--
-- p_key_cc_monitor_protocol_mst
--

ALTER TABLE ONLY cc_monitor_protocol_mst
    ADD CONSTRAINT p_key_cc_monitor_protocol_mst PRIMARY KEY (service_id);


--
-- refcc_monitor_info10
--

ALTER TABLE ONLY cc_monitor_port_info
    ADD CONSTRAINT refcc_monitor_info10 FOREIGN KEY (monitor_type_id, monitor_id) REFERENCES cc_monitor_info(monitor_type_id, monitor_id);


--
-- ref_monitor_protocol_mst1
--

ALTER TABLE ONLY cc_monitor_port_info
    ADD CONSTRAINT refcc_monitor_protocol_mst1 FOREIGN KEY (service_id) REFERENCES cc_monitor_protocol_mst(service_id);


--
-- refcc_mail_template_info1
--

ALTER TABLE ONLY cc_notify_info
    ADD CONSTRAINT refcc_mail_template_info1 FOREIGN KEY (mail_template_id) REFERENCES cc_mail_template_info(mail_template_id);


--
-- refcc_mail_template_info2
--

ALTER TABLE ONLY cc_system_notify_info
    ADD CONSTRAINT refcc_mail_template_info2 FOREIGN KEY (mail_template_id) REFERENCES cc_mail_template_info(mail_template_id);


